function [h,gradx,gradp] = ache(t,y,p) 
%  hamilonien   et ses derivees 
% burgers ou optique 1-D 
%  la fonction refract renvoi l'indice et 
% son gradient 
% attention au point
% ne depend pas du temps 
%%%% burgers 
%h= 0.5 * p.^2 ; 
%gradx= 0 ;  
%gradp= p ; 
%%% optique 
[n,nx]=refract(t,y)  ;  
h= -sqrt(n.^2-p.^2) ; 
gradx = -n.*nx/(-h) ; 
gradp = p/(-h) ; 


